221

Which browsers are officially supported by Stack Exchange?

Also, what else is needed in order to use every feature of the site?

Return to FAQ index

0

1 Answer 1

199

Which browsers are supported?

We support the last two stable versions of the browsers that we see the vast majority of our visitors actually use. This does not include beta, developer, nightly, canary, or any other pre-release versions of browsers, which are not supported.

Instead of listing individual browsers on this answer, we’ve created an evergreen help article that references and visualizes our browserslist configuration. If you don’t see your browser listed, it may still work, but with a degraded experience.

If you file a bug report for an unsupported browser and the bug cannot be reproduced in a supported browser, it will not be fixed.

What else do I need?

There are requirements beyond using a modern browser for getting the best possible experience:

10
  • The new cookie functionality requires JavaScript from cookielaw.org (at least to customise the cookie settings). Identified on Firefox 84.0.2 with NoScript. Jan 19, 2021 at 9:15
  • 1
    @AaronShekey One of the reasons I prefer the browsers be listed here is so that any change to the supported browsers will trigger an edit to this post, so it will be bumped to the top. On the other hand, editing the article without also editing this post will mean that if there's a change to supported browsers, this post won't be bumped so we won't get to know about it easily. If that's not to be done, can this post at least be routinely edited with the last date the help center was modified, so that an edit to that article will also make this post be bumped as it has in the past? May 13, 2021 at 18:43
  • 1
    I'm trying to reduce the amount of things that need to be updated when we deprecate a browser though, so I don't want to commit to that, sorry. We're trying to have evergreen docs that are powered by the actual underlying library, in this case Stacks, our design system. When we update our browserslist, it's automatically reflected in our browser support page May 13, 2021 at 18:51
  • 3
    I'm personally a little mixed on this - On one hand, we have a source of truth (tm) that we really didn't have before - and maintaining a community supported list is redundant. On the other - this did let us document if officially unsupported browsers work - and I actively use one, and use another as a backup on potato grade systems. I wonder if a compromise "See here for actively supported browsers, and the community has tested and verified the following browsers as of <date> would be an option" . It let folks trigger a bump if needed and kinda balance out most of the concerns voiced.
    – Journeyman Geek Mod
    May 14, 2021 at 0:28
  • 1
    I guess community tested browsers could be its own question but I think at this point, I'm wandering deep into "meta^2 territory :D
    – Journeyman Geek Mod
    May 14, 2021 at 0:33
  • 1
    Reporting plagiarism ("topic" "Stack Exchange content is being reproduced without atttribution") also requires JavaScript to be allowed from google.com and gstatic.com (yes, different from sstatic.net) - for the "I am not a robot" dialog to show/work. Perhaps add information about this? Jun 2, 2021 at 12:51
  • 1
    Is there any reason why Firefox for Android isn't supported? Aug 30, 2021 at 2:13
  • The last 2 stable versions? That means clients are expected to upgrade their browser about every 2 months?
    – Thomas
    Mar 3 at 19:04
  • Regarding JavaScript content from cookielaw.org: The error message is now "We couldn’t save your cookie preferences. Please adjust your browser settings or disable ad blocking. You can access your cookie settings at any time by clicking “Cookie Settings” in the footer.". This is acceptable. “Cookie Settings” in the footer reveals the effective setting is the minimum ("Strictly Necessary"). Though it would be better with (a programmatic) reference to JavaScript content from cookielaw.org right when the dialog is be shown, so it can be enabled (before this error happens). Mar 13 at 11:47
  • But now it is broken (observed 2022-05-17). Clicking "Cookie Settings", as advised, itself now results in the same error message... ("We couldn’t save your cookie preferences. Please adjust your browser settings or disable ad blocking. You can access your cookie settings at any time by clicking “Cookie Settings” in the footer."). It is now a sort of Catch-22 or infinite loop. May 17 at 13:39

You must log in to answer this question.

Not the answer you're looking for? Browse other questions tagged .